%define name glade3
%define major 	9
%define libname %mklibname gladeui1_ %major
%define libnamedev %mklibname -d gladeui1_

Summary: 	GTK+ / GNOME 2 widget builder
Name: 		%{name}
Version: 	3.6.7
Release: %mkrel 2
Epoch: 1
License: 	GPLv2+
Url: 		http://glade.gnome.org/
Group: 		Development/GNOME and GTK+
Source0: 	http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	libxml2-devel
BuildRequires: 	libgnomeui2-devel
BuildRequires:	desktop-file-utils
BuildRequires: 	pygtk2.0-devel
BuildRequires: 	gtk-doc
BuildRequires: 	scrollkeeper
BuildRequires: 	gnome-doc-utils
BuildRequires: 	intltool
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: pygtk2.0

%description
Glade is a RAD tool to enable quick & easy development of user interfaces
for the Gtk+ toolkit and the GNOME desktop environment.
The user interfaces designed in Glade are stored in XML format,
enabling easy integration with external tools.
In particular libglade can load the XML files and create the interfaces
at runtime. The DTD for the XML files is included with libglade, and is
also at http://glade.gnome.org/glade-2.0.dtd.
Other tools are available which can turn the XML files into source code
in languages such as C++, Perl and Python.


%package -n %{libname}
Summary:	Libraries required for glade-3
Group:		System/Libraries
Provides:	libgladeui = %epoch:%{version}

%description -n %{libname}
Libraries and file require to run program built with glade-3

%package -n %{libnamedev}
Summary:	Static libraries, include files for libgladeui (glade-3)
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %epoch:%{version}
Provides:	libgladeui-devel = %epoch:%{version}-%{release}
Provides:	libgladeui1-devel = %epoch:%{version}-%{release}
Provides:	glade3-devel = %epoch:%{version}-%{release}
Provides:	libgladeui%{major}-devel = %epoch:%{version}-%{release}
Conflicts: %mklibname -d gladeui1_ 6

%description -n %{libnamedev}
Static library, headers files and documentation needed in order
to develop applications using libgladeui (glade-3).

%prep
%setup -q -n %{name}-%version
#./autogen.sh

%build
%configure2_5x --enable-gtk-doc --disable-scrollkeeper
%make

%install
rm -fr %buildroot
%makeinstall_std
%{find_lang} %{name}-2.0 --with-gnome --all-name
for omf in %buildroot%_datadir/omf/*/{*-??,*-??_??}.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name-2.0.lang
done


# menu
perl -pi -e "s/Glade/Glade 3/" $RPM_BUILD_ROOT%{_datadir}/applications/*
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GUIDesigner" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

find %buildroot -name \*.la|xargs chmod 644
rm -f %buildroot%_libdir/glade3/*/libglade*a

%if %mdkversion < 200900
%post
%update_scrollkeeper
%update_menus
%update_desktop_database
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_scrollkeeper
%clean_menus
%clean_desktop_database
%clean_icon_cache hicolor
%endif

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -fr %buildroot

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README TODO
%{_bindir}/glade-3
%dir %{_libdir}/glade3/
%dir %{_libdir}/glade3/modules/
#gw not found by find_lang
%lang(en_GB)  %_datadir/gnome/help/glade/en_GB/
%{_libdir}/glade3/modules/libgladepython.so
%{_libdir}/glade3/modules/libgladegtk.so
%{_libdir}/glade3/modules/libgladegnome.so
%dir %_datadir/omf/*
%_datadir/omf/*/*-C.omf
%{_datadir}/glade3
%{_datadir}/applications/glade-3.desktop
%_datadir/icons/hicolor/*/apps/glade*

%files -n %{libname}
%{_libdir}/libgladeui-1.so.%{major}*

%files -n %{libnamedev}
%doc ChangeLog
%{_includedir}/libgladeui-1.0/
%{_libdir}/pkgconfig/gladeui-1.0.pc
%{_libdir}/*.la
%{_libdir}/*.so
%_datadir/gtk-doc/html/*


%changelog
* Thu Sep 24 2009 Olivier Blin <oblin@mandriva.com> 1:3.6.7-2mdv2010.0
+ Revision: 448400
- glade3 doesn't need to buildrequire gnomeprintui (from Arnaud Patard)

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 1:3.6.7-1mdv2010.0
+ Revision: 390746
- update to new version 3.6.7

* Tue Jun 23 2009 Götz Waschk <waschk@mandriva.org> 1:3.6.6-1mdv2010.0
+ Revision: 388320
- new version

* Sat Jun 13 2009 Götz Waschk <waschk@mandriva.org> 1:3.6.5-1mdv2010.0
+ Revision: 385689
- update to new version 3.6.5

* Sat Jun 06 2009 Götz Waschk <waschk@mandriva.org> 1:3.6.4-1mdv2010.0
+ Revision: 383373
- update to new version 3.6.4

* Fri Apr 24 2009 Götz Waschk <waschk@mandriva.org> 1:3.6.3-1mdv2010.0
+ Revision: 368975
- new version

* Thu Apr 16 2009 Götz Waschk <waschk@mandriva.org> 1:3.6.2-1mdv2009.1
+ Revision: 367596
- update to new version 3.6.2

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 1:3.6.1-1mdv2009.1
+ Revision: 366935
- update to new version 3.6.1

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 1:3.6.0-1mdv2009.1
+ Revision: 355985
- update to new version 3.6.0

* Fri Feb 06 2009 Götz Waschk <waschk@mandriva.org> 1:3.5.7-1mdv2009.1
+ Revision: 338041
- update to new version 3.5.7

* Mon Jan 19 2009 Götz Waschk <waschk@mandriva.org> 1:3.5.6-1mdv2009.1
+ Revision: 331366
- update to new version 3.5.6

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 1:3.5.5-1mdv2009.1
+ Revision: 325315
- update build deps
- update to new version 3.5.5

* Sun Dec 28 2008 Funda Wang <fundawang@mandriva.org> 1:3.5.4-2mdv2009.1
+ Revision: 320076
- rebuild for new python

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 1:3.5.4-1mdv2009.1
+ Revision: 315707
- new version
- new major

* Wed Dec 10 2008 Götz Waschk <waschk@mandriva.org> 1:3.5.3-1mdv2009.1
+ Revision: 312463
- new version
- update file list

* Sun Nov 09 2008 Funda Wang <fundawang@mandriva.org> 1:3.5.2-3mdv2009.1
+ Revision: 301347
- rebuild for new xcb

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:3.5.2-2mdv2009.0
+ Revision: 264546
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 10 2008 Götz Waschk <waschk@mandriva.org> 1:3.5.2-1mdv2009.0
+ Revision: 192535
- new major
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 1:3.4.3-1mdv2008.1
+ Revision: 183619
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 1:3.4.2-1mdv2008.1
+ Revision: 183222
- new version

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:3.4.1-2mdv2008.1
+ Revision: 148482
- rebuild
- do not package big ChangeLog

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 1:3.4.1-1mdv2008.1
+ Revision: 132335
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 09 2007 Funda Wang <fundawang@mandriva.org> 1:3.4.0-2mdv2008.1
+ Revision: 116706
- drop old menu

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 1:3.4.0-1mdv2008.0
+ Revision: 89204
- new version

* Thu Aug 23 2007 Götz Waschk <waschk@mandriva.org> 1:3.3.4-1mdv2008.0
+ Revision: 70567
- new version
- update file list

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 1:3.3.3-1mdv2008.0
+ Revision: 56526
- new version

* Tue Jul 24 2007 Götz Waschk <waschk@mandriva.org> 1:3.3.2-1mdv2008.0
+ Revision: 54921
- new version
- new major
- new devel package name

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 1:3.3.1-1mdv2008.0
+ Revision: 40935
- new version

* Thu Jun 07 2007 Götz Waschk <waschk@mandriva.org> 1:3.3.0-1mdv2008.0
+ Revision: 36656
- new version
- new major
- disable python support

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 1:3.2.2-1mdv2008.0
+ Revision: 32133
- new version

* Thu May 03 2007 Götz Waschk <waschk@mandriva.org> 1:3.2.1-1mdv2008.0
+ Revision: 20927
- new version
- update description


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 3.2.0-1mdv2007.1
+ Revision: 142129
- new version

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 1:3.1.5-1mdv2007.1
+ Revision: 120864
- fix buildrequires
- new version
- new major
- fix file list
- add scrollkeeper stuff

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 1:3.1.4-1mdv2007.1
+ Revision: 98926
- new version

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 1:3.1.3-1mdv2007.1
+ Revision: 98668
- new version
- update file list

* Wed Dec 06 2006 Götz Waschk <waschk@mandriva.org> 1:3.1.2-1mdv2007.1
+ Revision: 91596
- new version

* Mon Dec 04 2006 Götz Waschk <waschk@mandriva.org> 1:3.1.1-1mdv2007.1
+ Revision: 90404
- fix buildrequires
- new version
- add python binding

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 1:3.1.0-2mdv2007.0
+ Revision: 79311
- rebuild
- new version
- new major

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 1:3.0.2-4mdv2006.0
+ Revision: 63816
- rebuild
- rebuild
- release
- Import glade3

* Sat Sep 30 2006 Götz Waschk <waschk@mandriva.org> 31:.0.2-1mdv2007.0
- fix the name in the menu
- new version

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 1:3.0.1-1mdv2007.0
- Release 3.0.1
- bump lib major

* Tue Aug 15 2006 Götz Waschk <waschk@mandriva.org> 1:3.0.0-2mdv2007.0
- fix buildrequires

* Mon Aug 14 2006 Götz Waschk <waschk@mandriva.org> 1:3.0.0-1mdv2007.0
- fix file list
- new major 
- new version

* Mon Aug 14 2006 Götz Waschk <waschk@mandriva.org> 1:3.0.0-1mdv2007.0
- New release 3.0.0

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 2.91.1-2mdv2007.0
- xdg menu

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 1:2.91.1-2mdk
- Rebuild

* Tue May 09 2006 Götz Waschk <waschk@mandriva.org> 2.91.1-1mdk
- update file list
- New release 2.91.1

* Fri Jan 27 2006 Götz Waschk <waschk@mandriva.org> 2.91.0-1mdk
- New release 2.91.0
- use mkrel

* Sat Oct 01 2005 Götz Waschk <waschk@mandriva.org> 21:.90.0-1mdk
- new version

* Sun Jul 24 2005 Austin Acton <austin@mandriva.org> 3.0.0-0.20050723.1mdk
- new cvs checkout
- handier cvs settings in spec

* Thu May 19 2005 Austin Acton <austin@mandriva.org> 3.0.0-0.20050516.1mdk
- from Tigrux <tigrux@ximian.com> :
  - first rpm for mandriva linux
- minor spec cleanups
- add menu entry
- ldconfig entries

